diff options
author | Michael Vogt <michael.vogt@ubuntu.com> | 2012-05-21 11:29:05 +0200 |
---|---|---|
committer | Michael Vogt <michael.vogt@ubuntu.com> | 2012-05-21 11:29:05 +0200 |
commit | 6c1f5d2c3c8df164e78dda8f24d28667634403e1 (patch) | |
tree | d711a52cf5a92a13b87f248307f5521846a7dbcf /prepare-release | |
parent | aa2218b25cb29e8c0677f0f3ede098583c7ae49f (diff) | |
parent | 0baf849d81814fce59d86eecccbe624c8aaf0456 (diff) |
merged from David, uncommited the previous i18n commit first as its part of the merge from David already but for some reason bzr is confused and gives a gazillion of conflicts in doc/po/de.po without the uncommit first
Diffstat (limited to 'prepare-release')
-rwxr-xr-x | prepare-release | 11 |
1 files changed, 8 insertions, 3 deletions
diff --git a/prepare-release b/prepare-release index 821726ae2..c5e28edc3 100755 --- a/prepare-release +++ b/prepare-release @@ -8,8 +8,8 @@ LIBAPTINSTVERSION="$(egrep '^MAJOR=' apt-inst/makefile |cut -d '=' -f 2)" if [ "$1" = 'pre-export' ]; then libraryversioncheck() { - LIBRARY="$1" - VERSION="$2" + local LIBRARY="$1" + local VERSION="$2" if [ ! -e "debian/${LIBRARY}${VERSION}.symbols" ]; then echo >&2 "Library ${LIBRARY} in version ${VERSION} has no symbols file! (maybe forgot to rename?)" exit 1 @@ -46,10 +46,15 @@ elif [ "$1" = 'post-build' ]; then else echo >&2 'REMEMBER: Change to a valid distribution before release' fi + if ! xmllint --nonet --valid --noout $(find doc/ -maxdepth 1 -name '*.xml'); then + echo >&2 'WARNING: original docbook manpages have errors!' + elif ! xmllint --nonet --valid --noout $(find doc/ -mindepth 2 -maxdepth 2 -name '*.xml'); then + echo >&2 'WARNING: translated docbook manpages have errors, but originals are okay!' + fi elif [ "$1" = 'library' ]; then librarysymbols() { echo "Checking $1 in version $2" - tmpfile=$(mktemp) + local tmpfile=$(mktemp) dpkg-gensymbols -p${1}${2} -ebuild/bin/${1}.so.${2} -Idebian/${1}${2}.symbols -O/dev/null 2> /dev/null > $tmpfile echo '=== Missing symbols:' grep '^+#MISSING' $tmpfile |